/*! purgecss start ignore */
.form {
  form {
    & > div {
        display: grid;
        grid-template-columns: repeat(2, minmax(0, 1fr));
        gap: 1rem;

        @include under(640) {
            grid-template-columns: repeat(1, minmax(0, 1fr));
        }

        @include above(640) {
            .width-half {
                grid-column: span 1 / span 1;
            }

            .width-full {
                grid-column: span 2 / span 2;
            }
        }
    }
  }

  input:not([type="radio"]):not([type="checkbox"]) {
      @apply mt-1 block w-full rounded-md bg-gray-100 border-transparent focus:border-gray-500 focus:bg-white focus:ring-0;
  }

  input[type="checkbox"] {
      @apply mr-2 rounded bg-gray-200 border-transparent text-gray-700 focus:border-transparent focus:bg-gray-200 focus:ring-1 focus:ring-offset-2 focus:ring-gray-500;
  }

  select {
      @apply block w-full mt-1 rounded-md bg-gray-100 border-transparent focus:border-gray-500 focus:bg-white focus:ring-0;
  }

  textarea {
      @apply mt-1 block w-full rounded-md bg-gray-100 border-transparent focus:border-gray-500 focus:bg-white focus:ring-0;
  }

  button {
    padding: .5rem 1rem;
    font-weight: bold;
    border-radius: .25rem;
    background-color: $primary-red;
    color: #fff;

    &:hover {
      background-color: darken($primary-red, 5%);
    }
  }
  .honung {
      display: none;
  }
}

[type="text"], [type="email"], [type="url"], [type="password"], [type="number"], [type="date"], [type="datetime-local"], [type="month"], [type="search"], [type="tel"], [type="time"], [type="week"], [multiple], textarea, select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	background-color: #fff;
	border-color: #6b7280;
	border-width: 1px;
	border-radius: 0px;
	padding-top: 0.5rem;
	padding-right: 0.75rem;
	padding-bottom: 0.5rem;
	padding-left: 0.75rem;
	font-size: 1rem;
	line-height: 1.5rem;

    &:focus {
        outline: 2px solid transparent;
        outline-offset: 2px;
        --tw-ring-inset: var(--tw-empty, );
        --tw-ring-offset-width: 0px;
        --tw-ring-offset-color: #fff;
        --tw-ring-color: #2563eb;
        --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
        --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);
        box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
        border-color: #2563eb;
    }
}
/*! purgecss end ignore */
